Subject: bug#28025: Re: bug#28025: Daemon/server passes string incorrectly to/from Systemd

From: Arthur Miller <[email-masked]>
Date: Fri, 11 Aug 2017 16:06:48 +0200

Yepp tilde in DICPATH was the problem! No bug in Emacs! :-)

I am so used to bash, so I always forgett it's bash that does the
expansion, and it fails
in cases like this.

Thank you all for the help!

2017-08-10 17:59 GMT+02:00 arthur.miller.no1 <[email-masked]>:

> Aha. I guess you are ptobably correct. I am not at home again before
> tomorrow, but as soon as I am at home I will try it. Thanks!
>
>
> Skickat från min Samsung-enhet
>
>
> -------- Originalmeddelande --------
> Från: Eli Zaretskii <[email-masked]>
> Datum: 2017-08-10 17:18 (GMT+01:00)
> Till: [email-masked]
> Kopia: [email-masked], [email-masked]
> Rubrik: Re: bug#28025: Daemon/server passes string incorrectly to/from
> Systemd
>
> > From: [email-masked]
> > Date: Thu, 10 Aug 2017 08:54:29 -0400
> > Cc: [email-masked]
> >
> > > Emacs daemon started with systemd as user service:
> > >
> > > ("TERM=dumb" "DICPATH=~/.emacs.d/hunspell"
> > [...]
> >
> > > Emacs daemon started from shell:
> > [...]
> > > "DICPATH=/home/*****/.emacs.d/hunspell"
> >
> > Could the fact that you have "~" instead of "/home/****/" in the systemd
> > service be significant?  Does it help to change that?
>
> Indeed, I don't think Hunspell expands "~" in DICPATH.
>